Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86180 - orinoco_cs periodically drops connection with linksys wpc11v3
Summary: orinoco_cs periodically drops connection with linksys wpc11v3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-16 03:50 UTC by Justin Georgeson
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-14 18:09:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:172 normal SHIPPED_LIVE : Updated 2.4 kernel fixes security vulnerabilities and various bugs 2003-09-05 04:00:00 UTC

Description Justin Georgeson 2003-03-16 03:50:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
I am Running Red Hat 8.0.94 with kernel 2.4.20-2.48. I have a Linksys WPC11 v3
(Prism 3) 802.11b card. Using an AP which broadcasts its SSID and no encryption,
the orinoco_cs driver mostly works. The driver periodically drops the
connection. When this happens pinging any hosts on my LAN (like the default
gateway) yields "destination unreachable." This is not an issue with inactivity,
I've seen this happen with several active connections.

Version-Release number of selected component (if applicable):
kernel-2.4.20-2.48

How reproducible:
Sometimes

Steps to Reproduce:
1. Configure a wireless interface with the orinoco_cs driver, default settings
2. Insert a Linksys WPC11 v3 PCMCIA card
3. Go on about your work like normal
    

Actual Results:  Association to AP should stay up

Expected Results:  Association is randomly dropped.

Additional info:

If caught in time, simply running 'ifup <interface>' can fix it without loosing
any of my connections (ssh sessions, web sessions on secure sites, etc).

Comment 1 Justin Georgeson 2003-04-03 22:23:37 UTC
Hm, don't know who updated this to say RH 9, but I do still see it in RH 9.

Comment 2 Damon Brodie 2003-04-07 03:04:01 UTC
I also see the occasional dropped connections.  WPC11 Ver. 3.0.  Most times this
does not affect much, I just to a /etc/init.d/network restart and everything is
fine again.

Sometimes it gives me a hardlock up as well.  The CPU pegges out at 100% (
ksoftirqd_CPU0).  Syslog shows lots and lots of this:

Apr  6 22:40:37 localhost last message repeated 1359 times
Apr  6 22:40:37 localhost kernel: hermes @ IO 0x100: Error -16 issuing command.
Apr  6 22:40:37 localhost kernel: hermes @ IO 0x100: Error -16 issuing command.
Apr  6 22:40:37 localhost kernel: eth0: Error -110 writing Tx descriptor to BAP
Apr  6 22:40:37 localhost kernel: hermes @ IO 0x100: Error -16 issuing command.
Apr  6 22:40:37 localhost kernel: hermes @ IO 0x100: Error -16 issuing command.
Apr  6 22:40:37 localhost kernel: eth0: Error -110 writing Tx descriptor to BAP

This is with RedHat 9, installed on a clean disk on a Toshiba Satellite Pro
model 4260.

It seems to happen every couple of hours or so for me.

Comment 3 drew.middlesworth 2003-04-07 23:33:28 UTC
I have the same problem with a Netgear MA311, and worked around it with newer
beta orinoco drivers compiled against the stock redhat kernel from
http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Orinoco.html#download
The problem doesn't completely go away, but it shows up a lot less. 

Comment 4 Benjamin Kosnik 2003-04-12 05:32:36 UTC
I can confirm this is still an issue. I'm running RH9 on 

1) IBM Thinkpad T30/D-Link 650
2) Dell 600 with Netgear MA401

The failure modes are identical, although for some reason I'm getting more,
quicker failures when I'm using static routes versus dhcp. Both of these systems
are up2date. After the connectivity drops, and the CPU usage pegs at 100%, dmesg
looks like lines and lines of this:

eth1: Error -110 writing Tx descriptor to BAP.

Does anybody have any work arounds or suggestions?

Comment 5 Arjan van de Ven 2003-05-14 18:09:43 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-172.html


Comment 6 Richard Heck 2003-11-25 03:28:34 UTC
I still am experiencing this same problem with RH9 and 2.4.20-20.9.


Note You need to log in before you can comment on or make changes to this bug.